## x2goserver 4.1.0.0

=== Makefile ===
#!/usr/bin/make -f

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
LIBDIR ?= $(PREFIX)/lib/x2go
SHAREDIR=$(PREFIX)/share/x2go

PERL ?= /usr/bin/perl
PERL_INSTALLDIRS ?= vendor

all: build

build: build-arch build-indep

# make man2html build available from project's base folder...
build_man2html:
	$(MAKE) -C x2goserver-common $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@

clean:
	-$(MAKE) -f Makefile.perl clean
	$(MAKE) -C x2goserver-common $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@

distclean:
	-$(MAKE) -f Makefile.perl realclean
	$(MAKE) -C x2goserver-common clean
	$(MAKE) -C x2goserver clean
	$(MAKE) -C libx2go-server-db-perl clean
	$(MAKE) -C x2goserver-x2goagent clean
	$(MAKE) -C x2goserver-printing clean
	$(MAKE) -C x2goserver-extensions clean
	$(MAKE) -C x2goserver-xsession clean
	$(MAKE) -C x2goserver-fmbindings clean

build-arch:
	$(MAKE) -C x2goserver-common $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@

build-indep:
	$(PERL) Makefile.PL INSTALLDIRS=$(PERL_INSTALLDIRS)
	$(MAKE) -f Makefile.perl
	$(MAKE) -C x2goserver-common $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@

install:
	$(MAKE) -f Makefile.perl pure_install
	$(MAKE) -C x2goserver-common $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@

uninstall:
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -f Makefile.perl uninstall
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C x2goserver-common $@
	if test -d $(DESTDIR)$(LIBDIR); then $(RM_DIR) $(DESTDIR)$(LIBDIR); fi
	if test -d $(DESTDIR)$(SHAREDIR)/x2gofeature.d; then $(RM_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d; fi
	if test -d $(DESTDIR)$(SHAREDIR); then $(RM_DIR) $(DESTDIR)$(SHAREDIR); fi
	if test -d $(DESTDIR)$(ETCDIR); then $(RM_DIR) $(DESTDIR)$(ETCDIR); fi

=== libx2go-server-db-perl/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

CC      ?= gcc
CFLAGS  += -fPIE
LDFLAGS += -pie

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

#BIN_SCRIPTS=$(shell cd bin && echo *)
#SBIN_SCRIPTS=$(shell cd sbin && echo *)
LIB_FILES=libx2go-server-db-sqlite3-wrapper libx2go-server-db-sqlite3-wrapper.pl
#FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

#man_pages = `cd man && find * -type f`

#MAN2HTML_BIN  = man2html
#MAN2HTML_SRC  = man
#MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:
	$(CC) $(CFLAGS) $(LDFLAGS) -DTRUSTED_BINARY=\"$(LIBDIR)/libx2go-server-db-sqlite3-wrapper.pl\" -o lib/libx2go-server-db-sqlite3-wrapper src/libx2go-server-db-sqlite3-wrapper.c

build-indep:

clean: clean-arch clean-indep

clean-arch:
	rm -f lib/libx2go-server-db-sqlite3-wrapper

clean-indep:

install: install_scripts

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)
	$(INSTALL_PROGRAM) lib/*                   $(DESTDIR)$(LIBDIR)/
	getent group x2gouser &>/dev/null && chown root:x2gouser $(DESTDIR)$(LIBDIR)/libx2go-server-db-sqlite3-wrapper || true
	chmod 2755 $(DESTDIR)$(LIBDIR)/libx2go-server-db-sqlite3-wrapper

uninstall: uninstall_scripts

uninstall_scripts:
	for file in $(LIB_FILES); do $(RM_FILE) $(DESTDIR)$(LIBDIR)/$$file; done

=== x2goserver-common/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
SBIN_SCRIPTS=$(shell cd sbin && echo *)
LIB_FILES=$(shell cd lib && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	    mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean-arch clean-indep

clean-arch:

clean-indep: clean_man2html

clean_man2html:
	rm -Rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:

install_config:
	$(INSTALL_DIR)  $(DESTDIR)$(ETCDIR)
	$(INSTALL_FILE) etc/x2goserver.conf            $(DESTDIR)$(ETCDIR)/
	$(INSTALL_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql
	$(INSTALL_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql/passwords
	$(INSTALL_FILE) etc/x2gosql/sql                $(DESTDIR)$(ETCDIR)/x2gosql
	$(INSTALL_DIR)  $(DESTDIR)/etc/tmpfiles.d || true
	$(INSTALL_FILE) etc/tmpfiles.d/x2goserver.conf $(DESTDIR)/etc/tmpfiles.d/

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man5
	$(INSTALL_FILE) man/man5/*.5           $(DESTDIR)$(MANDIR)/man5
	gzip -f $(DESTDIR)$(MANDIR)/man5/x2go*.5

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-common     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-common

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:

uninstall_config:
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2goserver.conf
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2gosql/sql
	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql/passwords || true
	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql || true
	$(RM_DIR)  $(DESTDIR)$(ETCDIR) || true
	$(RM_FILE) $(DESTDIR)/etc/tmpfiles.d/x2goserver.conf
	$(RM_DIR)  $(DESTDIR)/etc/tmpfiles.d || true

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man5/$$file.5.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man5/$$file.5.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-common
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-fmbindings/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2go/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	    mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean_man2html

clean_man2html:
	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_PROGRAM) bin/x2gofm $(DESTDIR)$(BINDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) share/x2go/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/
	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL_PROGRAM) share/applications/x2gofm.desktop $(DESTDIR)$(PREFIX)/share/applications/
	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/mime/packages
	$(INSTALL_PROGRAM) share/mime/packages/sshfs-x2go.xml $(DESTDIR)$(PREFIX)/share/mime/packages/

install_config:

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-fmbindings     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-fmbindings

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-fmbindings
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-x2goagent/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755
INSTALL_SYMLINK=ln -s -f

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib/x2go
NXLIBDIR ?= $(LIBDIR)/../nx
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2go/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	    mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean_man2html

clean_man2html:
	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_data install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_PROGRAM) bin/x2goagent $(DESTDIR)$(BINDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) share/x2go/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/
	$(INSTALL_DIR) $(DESTDIR)$(NXLIBDIR)/bin/
	$(INSTALL_SYMLINK) nxagent $(DESTDIR)$(NXLIBDIR)/bin/x2goagent

install_data:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/
	$(INSTALL_FILE) etc/rgb $(DESTDIR)$(SHAREDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/../pixmaps/
	$(INSTALL_FILE) share/pixmaps/x2go.xpm $(DESTDIR)$(SHAREDIR)/../pixmaps/
	$(INSTALL_SYMLINK) $(ETCDIR)/rgb $(DESTDIR)$(SHAREDIR)/

install_config:
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/
	$(INSTALL_FILE) etc/rgb $(DESTDIR)$(ETCDIR)/
	$(INSTALL_FILE) etc/x2goagent.options $(DESTDIR)$(ETCDIR)/
	$(INSTALL_FILE) etc/x2goagent.keyboard $(DESTDIR)$(ETCDIR)/
	$(INSTALL_FILE) etc/keystrokes.cfg $(DESTDIR)$(ETCDIR)/

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man1
	$(INSTALL_FILE) man/man1/*.1           $(DESTDIR)$(MANDIR)/man1
	gzip -f $(DESTDIR)$(MANDIR)/man1/x2go*.1

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_SYMLINK) ../../nx/VERSION.nxagent $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-x2goagent

uninstall: uninstall_scripts uninstall_config uninstall_data uninstall_man uninstall_version

uninstall_scripts:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(BINDIR)/$$file; done
	for file in x2goagent; do $(RM_FILE) $(DESTDIR)$(NXLIBDIR)/$$file; done
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_data:
	cd share && for file in pixmaps/x2go.xpm x2go/rgb; do \
	    $(RM_FILE) $(DESTDIR)$(SHAREDIR)/../$$file; \
	    $(RM_DIR) $(shell dirname $(DESTDIR)$(SHAREDIR)/../$$file); \
	done

uninstall_config:
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2goagent.options
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2goagent.keyboard
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/keystrokes.cfg
	$(RM_DIR)  $(DESTDIR)$(ETCDIR) || true

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man1/$$file.1.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-x2goagent
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-xsession/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_SYMLINK=ln -s -f
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

XSESSIONDIR ?= /etc/X11/Xsession.d
XSESSIONOPTIONFILE ?= /etc/X11/Xsession.options
XINITRCDIR ?= /etc/X11/xinit/xinitrc.d
XCLIENTSDIR ?= /etc/X11/xinit/Xclients.d

ETC_FILES=$(shell cd etc && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:

clean: clean_man2html

clean_man2html:

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)
#       provide target dirs for X11 related symlinks
	$(INSTALL_PROGRAM) etc/Xsession                 $(DESTDIR)$(ETCDIR)/
	$(INSTALL_SYMLINK) /etc/X11/Xresources          $(DESTDIR)$(ETCDIR)/
	if [ -e /etc/debian_version ]; then if [ -e $(XSESSIONOPTIONFILE) ]; then $(INSTALL_SYMLINK) $(XSESSIONOPTIONFILE) $(DESTDIR)$(ETCDIR)/Xsession.options; else touch $(DESTDIR)$(ETCDIR)/Xsession.options; fi; fi
	if [ -e /etc/debian_version ]; then if [ -d $(XSESSIONDIR) ]; then $(INSTALL_SYMLINK) $(XSESSIONDIR) $(DESTDIR)$(ETCDIR)/Xsession.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/Xsession.d; fi; fi
	if [ -e /etc/redhat-release ]; then if [ -d $(XINITRCDIR) ]; then $(INSTALL_SYMLINK) $(XINITRCDIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; fi; fi
	if [ -e /etc/redhat-release ]; then if [ -d $(XCLIENTSDIR) ]; then $(INSTALL_SYMLINK) $(XCLIENTSDIR) $(DESTDIR)$(ETCDIR)/Xclients.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/Xclients.d; fi; fi
	if [ -e /etc/gentoo-release ]; then if [ -d $(XINITRCDIR) ]; then $(INSTALL_SYMLINK) $(XINITRCDIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; fi; fi
	if [ -e /etc/gentoo-release ]; then if [ -d $(XCLIENTSDIR) ]; then $(INSTALL_SYMLINK) $(XCLIENTSDIR) $(DESTDIR)$(ETCDIR)/Xclients.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/Xclients.d; fi; fi
	if [ -e /etc/os-release ] && cat /etc/os-release | grep "suse" 1>/dev/null || [ -d /usr/share/doc/packages/brp-check-suse ]; then if [ -d $(XINITRCDIR) ]; then $(INSTALL_SYMLINK) $(XINITRCDIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; fi; fi

install_man:

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-xsession     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-xsession

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:
	for file in $(ETC_FILES); do $(RM_FILE) $(DESTDIR)$(ETCDIR)/$$file; done

uninstall_man:

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-xsession
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
SBIN_SCRIPTS=$(shell cd sbin && echo *)
LIB_FILES=$(shell cd lib && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	    mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean-arch clean-indep

clean-arch:

clean-indep: clean_man2html

clean_man2html:
	rm -Rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SBINDIR)
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) bin/*                $(DESTDIR)$(BINDIR)/
	$(INSTALL_PROGRAM) sbin/*               $(DESTDIR)$(SBINDIR)/
	$(INSTALL_PROGRAM) lib/*                   $(DESTDIR)$(LIBDIR)/
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/x2go_logout.d
	$(INSTALL_FILE) etc/x2go_logout       $(DESTDIR)$(ETCDIR)/
	$(INSTALL_FILE) etc/x2go_logout.d/*   $(DESTDIR)$(ETCDIR)/x2go_logout.d/
	$(INSTALL_DIR) $(DESTDIR)/etc/sudoers.d || true
	$(INSTALL_FILE) etc/sudoers.d/x2goserver $(DESTDIR)/etc/sudoers.d/
	$(INSTALL_DIR) $(DESTDIR)/etc/logcheck/ignore.d.server || true
	$(INSTALL_FILE) etc/logcheck/ignore.d.server/x2goserver $(DESTDIR)/etc/logcheck/ignore.d.server/

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man5
	$(INSTALL_FILE) man/man5/*.5           $(DESTDIR)$(MANDIR)/man5
	gzip -f $(DESTDIR)$(MANDIR)/man5/x2go*.5
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(BINDIR)/$$file; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SBINDIR)/$$file; done
	for file in $(LIB_FILES); do $(RM_FILE) $(DESTDIR)$(LIBDIR)/$$file; done
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done
	$(RM_DIR) $(DESTDIR)$(LIBDIR) || true
	$(RM_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d || true
	$(RM_DIR) $(DESTDIR)$(SHAREDIR) || true

uninstall_config:
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2go_logout.d/*
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2go_logout
	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/x2go_logout.d || true
	$(RM_DIR)  $(DESTDIR)$(ETCDIR) || true
	$(RM_FILE) $(DESTDIR)/etc/sudoers.d/x2goserver
	$(RM_DIR)  $(DESTDIR)/etc/sudoers.d || true
	$(RM_FILE) $(DESTDIR)/etc/logcheck/ignore.d.server/x2goserver
	$(RM_DIR)  $(DESTDIR)/etc/logcheck/ignore.d.server || true
	$(RM_DIR)  $(DESTDIR)/etc/logcheck || true

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== debian/changelog ===
x2goserver (4.1.0.0-3) unstable; urgency=medium

  * debian/rules:
    + Ignore chmod failures when adapting x-bits in /usr/lib/x2go/*. Fixes FTBFS
      for binary-all build target. (Closes: #891296).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 25 Feb 2018 14:41:16 +0100

x2goserver (4.1.0.0-2) unstable; urgency=medium

  * Making piuparts happy... (hopefully!).

  * debian/x2goserver-common.dirs:
    + Make sure /var/lib/x2go is part of the package. (Closes: #891276).
  * debian/x2goserver.dirs:
    + Drop file, don't artificially let x2goserver own directories.
  * debian/x2goserver-printing.dirs:
    + Only list the spooldir.
  * debian/x2goserver-common.postrm:
    + Properly purge /etc/x2go and /var/lib/x2go.
  * debian/x2goserver.postrm:
    + Don't touch /etc/x2go, it is part of x2goserver-common since 4.1.0.0.
  * debian/libx2go-server-db-perl.postrm:
    + Only remove files this bin:pkg creates.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 24 Feb 2018 02:57:51 +0100

x2goserver (4.1.0.0-1) unstable; urgency=medium

  * New upstream release. Upload to unstable.
  * debian/:
    + Adapt to major changes in X2Go Server 4.1.0.0 (compared to 4.0.1.x).
  * debian/patches:
    + Drop all patches, not required for 4.1.0.0 anymore.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + debian/control: Slightly reduced versioned D (x2goserver-x2goagent) on
      nxagent (>= 3.5.99.13~).
  * debian/{control,compat}:
    + Bump DH compat level to 11.
  * debian/copyright:
    + Update copyright attributions.
    + Regenerate copyright.in reference template. It is flawed for 4.1.0.0.
      Fixes to license headers committed for 4.1.0.1 upstream.
  * debian/x2goserver.config:
    + Show 4.1.0.0 warning when upgrading x2goserver bin:pkg.
  * debian/templates:
    + Add warning about changes in 4.1.0.0.
  * debian/po/:
    + Update de translation, add da, fi and tr translations.
  * debian/x2goserver.init:
    + Slight typo fix.
  * debian/x2goserver-printing.postinst:
    + Make sure /var/spool/x2goprint is always created.
  * debian/x2goserver-xsession.lintian-overrides:
    + Silent lintian about symlinks pointing to package files from X.org.
  * debian/x2goserver.service:
    + Support x2gocleansessions being started via systemd unit file.
  * debian/*: Process with wrap-and-sort -a -s -t -k -b.
  * debian/rules: Fine-tune upstream's install target.
    + Move tmpfiles.d/x2goserver.conf from /etc/ to /usr/lib/
    + Remove x2goagent's rgb files. Deprecated in nx-libs these days.
    + sshfs-x2go.xml MIME package file should not be executable.
  * debian/*.install:
    + Utilize upstream's install target rather than picking all files from the
      source tree all ourselves.
  * debian/*.manpages:
    + Most manpages files are obsolete now (except x2goserver.manpages which
      pulls in our version of x2gocleansession.8).
  * Drop inert file (due to wrong file suffix): debian/x2goserver.link.
  * debian/x2goserver-xsession.links:
    + Drop file. Symlinking provided by upstream's install target.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 18 Feb 2018 23:09:40 +0100

x2goserver (4.0.1.22-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_dont-set-LD-LIBRARY-PATH-with-nx-36.patch. Applied upstream.
    + Drop 1002_backport-x2golistshadowsessions.patch. Accepted upstream.
    + Drop 1003_fix-implicit-decl-execv.patch. Accepted upstream.
    + Drop 1004_dbus-run-session-every-desktop-session.patch. Similar patch
      applied upstream.
  * debian/copyright:
    + Update copyright attributions.
  * debian/watch:
    + Use secure URL for obtaining upstream's orig tarball.
  * debian/control:
    + Update versioned dependency on nxagent and B:/R: relations to X2Go
      upstream packages, we want to remove when official Debian packages
      get installed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Dec 2017 22:54:33 +0100

x2goserver (4.0.1.20-13) experimental; urgency=medium

  * debian/patches:
    + Update 1004_dbus-run-session-every-desktop-session.patch. Of course,
      use dbus-run-session instead of dbus-launch. Thanks to feedback on
      #debian-systemd IRC from various people.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Oct 2017 08:53:23 +0200

x2goserver (4.0.1.20-12) experimental; urgency=medium

  * debian/patches:
    + Update 1002_backport-x2golistshadowsessions.patch. Sync with the
      upstream backport. Add missing function get_agent_state().

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Oct 2017 09:58:00 +0200

x2goserver (4.0.1.20-11) experimental; urgency=medium

  * debian/patches:
    + Update 1002_backport-x2golistshadowsessions.patch. Add missing function
      exports and missing helper function.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Oct 2017 01:42:28 +0200

x2goserver (4.0.1.20-10) experimental; urgency=medium

  * debian/patches:
    + Update 1002_backport-x2golistshadowsessions.patch. Add missing database
      function.
    + Add 1004_dbus-launch-every-desktop-session.patch. An X2Go Session really
      needs to be isolated from user DBus.
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Oct 2017 01:10:58 +0200

x2goserver (4.0.1.20-9) experimental; urgency=medium

  * debian/control:
    + Avoid circular dependency between x2goserver and x2goserver-xsession.
      Thanks to Unit193 for pointing that out.
  * debian/x2goserver-x2goagent.install:
    + Include /etc files into bin:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 Oct 2017 09:33:50 +0200

x2goserver (4.0.1.20-8) experimental; urgency=medium

  * debian/control:
    + Promote x2goserver-xsession to Depends:. Avoid unnecessary bug reports
      by demanding presence of X2Go's Xsession implementation.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Sep 2017 13:36:20 +0200



=== debian/control ===
Source: x2goserver
Section: x11
Priority: optional
Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Mihai Moldovan <ionic@ionic.de>,
Build-Depends:
 debhelper (>= 11~),
 dpkg-dev (>= 1.16.1.1),
 man2html-base,
Standards-Version: 4.1.3
Homepage: http://wiki.x2go.org
Vcs-Git: https://anonscm.debian.org/git/pkg-remote/x2goserver.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-remote/x2goserver.git

Package: x2goserver
Architecture: any
Depends:
 bc,
 libfile-basedir-perl,
 libfile-which-perl,
 libswitch-perl,
 libtry-tiny-perl,
 libx2go-server-perl (<< ${source:Version}.1~),
 libx2go-server-perl (>= ${source:Version}),
 lsb-base,
 lsof,
 net-tools,
 openssh-client,
 openssh-server,
 perl,
 psmisc,
 pwgen,
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 x2goserver-x2goagent (<< ${source:Version}.1~),
 x2goserver-x2goagent (>= ${source:Version}),
 x2goserver-xsession (<< ${source:Version}.1~),
 x2goserver-xsession (>= ${source:Version}),
 xauth,
 xkb-data,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fontconfig,
 sshfs,
 x11-apps,
 x11-session-utils,
 x11-utils,
 x11-xfs-utils,
 x11-xkb-utils,
 x11-xserver-utils,
 x2goserver-extensions (<< ${source:Version}.1~),
 x2goserver-extensions (>= ${source:Version}),
 x2goserver-fmbindings (<< ${source:Version}.1~),
 x2goserver-fmbindings (>= ${source:Version}),
 x2goserver-printing (<< ${source:Version}.1~),
 x2goserver-printing (>= ${source:Version}),
 xfonts-base,
 xinit,
Suggests:
 pulseaudio-utils,
 rdesktop,
Breaks:
 x2godesktopsharing (<< 3.1.1.2-0~),
 x2goserver-compat (<< 4.0.1.22-1~),
 x2goserver-home,
 x2goserver-one,
 x2goserver-pyhoca (<< 4.0.1.22-1~),
Replaces:
 x2goserver-compat,
 x2goserver-home,
 x2goserver-one,
 x2goserver-pyhoca,
Description: X2Go server
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains the main daemon and tools for X2Go server-side
 session administrations.

Package: libx2go-log-perl
Architecture: all
Section: perl
Depends:
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Description: Perl X2Go::Log package
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Log Perl package.

Package: libx2go-server-db-perl
Architecture: any
Section: perl
Depends:
 libconfig-simple-perl,
 libdbd-pg-perl [!armhf],
 libdbd-sqlite3-perl,
 libx2go-log-perl (<< ${source:Version}.1~),
 libx2go-log-perl (>= ${source:Version}),
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Breaks:
 x2goserver (<< 4.1.0.0-0~),
Replaces:
 x2goserver (<< 4.1.0.0-0~),
Description: Perl X2Go::Server:DB package
 X2Go is a server based computing environment with
     - session resuming
     - low bandwidth support
     - session brokerage support
     - client-side printing support
     - client side mass storage mounting support
     - audio support
     - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Server::DB Perl package.

Package: libx2go-server-perl
Architecture: all
Section: perl
Depends:
 libcapture-tiny-perl,
 libconfig-simple-perl,
 libx2go-log-perl (<< ${source:Version}.1~),
 libx2go-log-perl (>= ${source:Version}),
 libx2go-server-db-perl (<< ${source:Version}.1~),
 libx2go-server-db-perl (>= ${source:Version}),
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Description: Perl X2Go::Server package
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Server Perl package.

Package: x2goserver-common
Architecture: any
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 x2goserver (<< 4.1.0.0-0~),
Replaces:
 x2goserver (<< 4.1.0.0-0~),
Description: X2Go Server (common files)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains common files needed by the X2Go Server
 and the X2Go::Server Perl API.

Package: x2goserver-extensions
Architecture: all
Depends:
 x11-xkb-utils,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${misc:Depends},
Description: X2Go server (extension support)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 The X2Go server extension namespace offers contributors to add script
 functionality to X2Go that is not needed/ignored by the legacy X2Go
 client (x2goclient).

Package: x2goserver-fmbindings
Architecture: all
Depends:
 desktop-file-utils,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 xdg-utils,
 ${misc:Depends},
Description: X2Go Server (file manager bindings)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 x2goserver-fmbindings contains generic MIME type information for X2Go's
 local folder sharing. It can be used with all freedesktop.org compliant
 desktop shells.
 .
 However, this package will be superseded by other, more specific destkop
 binding components, if installed and being used with the corresponding
 desktop shell:
 .
    - under LXDE by x2golxdebindings
    - under GNOMEv2 by x2gognomebindings
    - under MATE by x2gomatebindings
    - under KDE4/5 by plasma-widget-x2go

Package: x2goserver-printing
Architecture: all
Depends:
 adduser,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${misc:Depends},
Breaks:
 x2goprint,
Replaces:
 x2goprint,
Suggests:
 cups-x2go,
Description: X2Go server (printing support)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 The X2Go server printing package provides client-side printing support
 for X2Go.
 .
 This package has to be installed on X2Go servers that shall be able to
 pass X2Go print jobs on to the X2Go client.
 .
 This package co-operates with the cups-x2go CUPS backend. If CUPS server
 and X2Go server are hosted on different machines, then make sure you
 install this package on the X2Go server/s (and the cups-x2go package on
 the CUPS server).

Package: x2goserver-x2goagent
Architecture: any
Depends:
 nxagent (>= 2:3.5.99.13~),
 ${misc:Depends},
Breaks:
 x2goagent (<< 2:3.5.99.2),
 x2goserver (<< 4.0.1.22-1~),
Replaces:
 x2goagent (<< 2:3.5.99.2),
 x2goserver (<< 4.0.1.22-1~),
Description: X2Go Server's X2Go Agent
 X2Go is a software suite that uses NX technology for remote desktop
 computing.
 .
 NX technology implements a very efficient compression of the X11
 protocol. This increases performance when using X applications over a
 network, especially a slow one.
 .
 X2Go Agent functionality has been completely incorporated into NX
 agent's code base. If the nxagent binary is executed under the name of
 `x2goagent', the X2Go functionalities get activated.
 .
 This package is a wrapper that activates X2Go branding in nxagent.
 Please refer to the nxagent package's description for more information
 on NX.

Package: x2goserver-xsession
Architecture: all
Depends:
 dbus,
 perl,
 x11-common,
 ${misc:Depends},
Description: X2Go server (Xsession runner)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This X2Go Server add-on enables Xsession script handling when starting
 desktop sessions with X2Go.
 .
 Amongst others the parsing of Xsession scripts will enable
 desktop-profiles, ssh-agent startups, gpgagent startups and many more
 Xsession related features on X2Go session login automagically.

=== debian/rules ===
#!/usr/bin/make -f

export NXLIBDIR="/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/nx"

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	PREFIX=/usr NXLIBDIR=$(NXLIBDIR) dh ${@} --with=systemd || PREFIX=/usr NXLIBDIR=$(NXLIBDIR) dh ${@}

override_dh_auto_build:
	PREFIX=/usr NXLIBDIR=$(NXLIBDIR) PERL_INSTALLDIRS=vendor dh_auto_build

override_dh_auto_install:
	$(MAKE) -f Makefile build-arch
	PREFIX=/usr NXLIBDIR=$(NXLIBDIR) dh_auto_install

override_dh_install:

	# not needed anymore with recent nx-libs versions
	rm -f debian/tmp/usr/share/x2go/rgb
	rm -f debian/tmp/etc/x2go/rgb

	# this file should not be executable
	chmod a-x debian/tmp/usr/share/mime/packages/sshfs-x2go.xml

	# expected in /usr/lib, not /etc
	mkdir -p debian/tmp/usr/lib/tmpfiles.d/
	mv debian/tmp/etc/tmpfiles.d/* debian/tmp/usr/lib/tmpfiles.d/

	dh_install

	# FIXME: upstream has some X2Go scripts in their tarball that are not executable
	# During binary-all builds, the below directory is non-existent, so ignoring
	# any sorts of failures here.
	-chmod a+x debian/x2goserver/usr/lib/x2go/*

	# on arch: all-only,source builds, the x2goserver-x2goagent.features file is non-present.
	# so let's handle this gracefully...
	if [ -e debian/x2goserver-x2goagent/usr/share/x2go/x2gofeature.d/x2goserver-x2goagent.features ]; then \
	    chmod 0755 debian/x2goserver-x2goagent/usr/share/x2go/x2gofeature.d/x2goserver-x2goagent.features; \
	fi

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	rm -Rfv x2goserver/.build_html
	rm -Rfv x2goserver-extensions/.build_html
	rm -f MYMETA.yml
	rm -f Makefile.perl.old
	PREFIX=/usr NXLIBDIR=$(NXLIBDIR) dh_auto_clean
	rm -f Makefile.perl

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
